<?php
/**
 * @package     Over
 * @version     0.1
 * @author      NanoAgency
 * @link        http://nanoagency.co
 * @copyright   Copyright (c) 2015 NanoAgency
 * @license     GPL v2
 */
if (!class_exists('ovez_Customize')) {
    class ovez_Customize
    {
        public $customizers = array();

        public $panels = array();

        public function init()
        {
            $this->customizer();
            add_action('customize_controls_enqueue_scripts', array($this, 'ovez_customizer_script'));
            add_action('customize_register', array($this, 'ovez_register_theme_customizer'));
            add_action('customize_register', array($this, 'remove_default_customize_section'), 20);
        }

        public static function &getInstance()
        {
            static $instance;
            if (!isset($instance)) {
                $instance = new ovez_Customize();
            }
            return $instance;
        }

        protected function customizer()
        {
            $this->panels = array(

                'blog_panel' => array(
                    'title'             => esc_html__('Blog','ovez'),
                    'description'       => esc_html__('Blog >','ovez'),
                    'priority'          =>  101,
                ),
                'sidebar_panel' => array(
                    'title'             => esc_html__('Sidebar','ovez'),
                    'description'       => esc_html__('Sidebar Setting','ovez'),
                    'priority'          => 103,
                ),
                'ovez_option_panel' => array(
                    'title'             => esc_html__('Option','ovez'),
                    'description'       => '',
                    'priority'          => 104,
                ),
            );

            $this->customizers = array(
                'title_tagline' => array(
                    'title' => esc_html__('Site Identity', 'ovez'),
                    'priority'  =>  1,
                    'settings' => array(
                        'ovez_logo' => array(
                            'class' => 'image',
                            'label' => esc_html__('Logo', 'ovez'),
                            'description' => esc_html__('Upload Logo Image', 'ovez'),
                            'priority' => 12
                        ),
                        'ovez_logo_theme' => array(
                            'type'          => 'checkbox',
                            'label'         => esc_html__('Logo Theme', 'ovez'),
                            'priority'      => 99,
                            'params'        => array(
                                'default'   => false,
                            ),
                        ),
                    )
                ),

                //2.General ============================================================================================
             'ovez_general' => array(
                'title' => esc_html__('General', 'ovez'),
                'description' => '',
                'priority' => 2,
                'settings' => array(

                'ovez_bg_body' => array(
                    'label'         => esc_html__('Background - Body', 'ovez'),
                    'description'   => '',
                    'class'         => 'color',
                    'priority'      => 2,
                    'params'        => array(
                        'default'   => '',
                    ),
                    
                ),
                'ovez_primary_body' => array(
                    'label'         => esc_html__('Primary - Color', 'ovez'),
                    'description'   => '',
                    'class'         => 'color',
                    'priority'      => 1,
                    'params'        => array(
                        'default'   => '',
                    ),
                    
                ),
                'ovez_breadcrumb' => array(
                    'class' => 'toggle',
                    'label' => esc_html__('Enable Breadcrumb','ovez'),
                    'priority' => 3,
                    'params' => array(
                        'default' => true,
                    ),
                ),
                'ovez_cart' => array(
                    'class' => 'toggle',
                    'label' => esc_html__('Enable Cart','ovez'),
                    'priority' => 4,
                    'params' => array(
                        'default' => true,
                    ),
                ),
            )
        ),

                //3.Header =============================================================================================
                'ovez_header' => array(
                    'title' => esc_html__('Header', 'ovez'),
                    'description' => '',
                    'priority' => 3,
                    'settings' => array(
                        //header
                        'ovez_header_heading' => array(
                            'class' => 'heading',
                            'label' => esc_html__('Header', 'ovez'),
                            'priority' => 0,
                        ),
                        'ovez_header' => array(
                            'type' => 'select',
                            'label' => esc_html__('Choose Header Layout', 'ovez'),
                            'description' => '',
                            'priority' => 1,
                            'choices' => array(
                                'simple'    => esc_html__('Header Default', 'ovez'),
                                'full'      => esc_html__('Header Full Width', 'ovez'),
                                'center'    => esc_html__('Header Center', 'ovez')
                            ),
                            'params' => array(
                                'default' => 'simple',
                            ),

                        ),

                        'ovez_menu_keep' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Fixed Menu', 'ovez'),
                            'priority' =>4,
                            'params' => array(
                                'default' => false,
                            ),
                            
                        ),

                        'ovez_bg_header' => array(
                            'label'         => esc_html__('Background - Header', 'ovez'),
                            'description'   => '',
                            'class'         => 'color',
                            'priority'      => 5,
                            'params'        => array(
                                'default'   => '',
                            ),
                            
                        ),

                        'ovez_color_menu' => array(
                            'label'         => esc_html__('Color - Text', 'ovez'),
                            'description'   => '',
                            'class'         => 'color',
                            'priority'      => 6,
                            'params'        => array(
                                'default'   => '',
                            ),
                            
                        ),

                        //topbar
                        'ovez_topbar_heading' => array(
                            'class' => 'heading',
                            'label' => esc_html__('Top bar', 'ovez'),
                            'priority' => 7,
                        ),

                        'ovez_topbar_config' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Show Topbar', 'ovez'),
                            'priority' => 8,
                            'params' => array(
                                'default' => false,
                            ),
                            
                        ),
                        'ovez_topbar_config_info' => array(
                            'class' => 'info',
                            'label' => esc_html__('Info', 'ovez'),
                            'description' => esc_html__( 'Please goto Appearance > Widgets > drop drag widget to the sidebar Topbar-Left.', 'ovez' ),
                            'priority' => 8,
                        ),

                        'ovez_bg_topbar' => array(
                            'label'         => esc_html__('Background - Top bar', 'ovez'),
                            'description'   => '',
                            'class'         => 'color',
                            'priority'      => 9,
                            'params'        => array(
                                'default'   => '',
                            ),
                            
                        ),
                        'ovez_color_topbar' => array(
                            'label'         => esc_html__('Color - Text ', 'ovez'),
                            'description'   => '',
                            'class'         => 'color',
                            'priority'      => 10,
                            'params'        => array(
                                'default'   => '',
                            ),
                            
                        ),

                    )
                ),

                //4.Footer =============================================================================================
                'ovez_new_section_footer' => array(
                    'title' => esc_html__('Footer', 'ovez'),
                    'description' => '',
                    'priority' => 4,
                    'settings' => array(
                        'ovez_footer' => array(
                            'type' => 'select',
                            'label' => esc_html__('Choose Footer Style', 'ovez'),
                            'description' => '',
                            'priority' => -1,
                            'choices' => array(
                                'footer-1'     => esc_html__('Footer 1', 'ovez'),
                                'footer-2'     => esc_html__('Footer 2', 'ovez'),
                                'footer-hidden' => esc_html__('Hidden Footer', 'ovez')
                            ),
                            'params' => array(
                                'default' => 'footer-1',
                            ),
                            
                        ),

                        'ovez_bg_footer' => array(
                            'label'         => esc_html__('Background - Footer', 'ovez'),
                            'description'   => '',
                            'class'         => 'color',
                            'priority'      => 2,
                            'params'        => array(
                                'default'   => '',
                            ),
                            
                        ),
                        'ovez_color_footer' => array(
                            'label'         => esc_html__('Color - Text ', 'ovez'),
                            'description'   => '',
                            'class'         => 'color',
                            'priority'      => 3,
                            'params'        => array(
                                'default'   => '',
                            ),
                            
                        ),
                        'ovez_copyright_text' => array(
                            'type' => 'textarea',
                            'label' => esc_html__('Footer Copyright Text', 'ovez'),
                            'description' => '',
                            'priority' => 0,
                            
                        ),

                        'ovez_footer_social' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Social Share', 'ovez'),
                            'priority' => 10,
                            'params' => array(
                                'default' => false,
                            ),
                        ),
                    )
                ),

                //5.Social =============================================================================================
                'ovez_new_section_social' => array(
                    'title' => esc_html__('Social Share', 'ovez'),
                    'description' => '',
                    'priority' => 4,
                    'settings' => array(
                        'ovez_social_facebook' => array(
                            'type'          => 'text',
                            'label'         => esc_html__('Social facebook', 'ovez'),
                            'priority'      => 11,
                            'params'        => array(
                                'default'   => '',
                            ),

                        ),
                        'ovez_social_twitter' => array(
                            'type'          => 'text',
                            'label'         => esc_html__('Social Twitter', 'ovez'),
                            'priority'      => 11,
                            'params'        => array(
                                'default'   => '',
                            ),
                        ),
                        'ovez_social_instagram' => array(
                            'type'          => 'text',
                            'label'         => esc_html__('Social Instagram', 'ovez'),
                            'priority'      => 11,
                            'params'        => array(
                                'default'   => '',
                            ),
                        ),
                        'ovez_social_googleplus' => array(
                            'type'          => 'text',
                            'label'         => esc_html__('Social GooglePlus', 'ovez'),
                            'priority'      => 11,
                            'params'        => array(
                                'default'   => '',
                            ),
                        ),
                        'ovez_social_pinterest' => array(
                            'type'          => 'text',
                            'label'         => esc_html__('Social Pinterest', 'ovez'),
                            'priority'      => 11,
                            'params'        => array(
                                'default'   => '',
                            ),
                        ),
                        'ovez_social_skype' => array(
                            'type'          => 'text',
                            'label'         => esc_html__('Social Skype', 'ovez'),
                            'priority'      => 11,
                            'params'        => array(
                                'default'   => '',
                            ),
                        ),
                        'ovez_social_vimeo' => array(
                            'type'          => 'text',
                            'label'         => esc_html__('Social Vimeo', 'ovez'),
                            'priority'      => 11,
                            'params'        => array(
                                'default'   => '',
                            ),
                        ),
                        'ovez_social_youtube' => array(
                            'type'          => 'text',
                            'label'         => esc_html__('Social Youtube', 'ovez'),
                            'priority'      => 11,
                            'params'        => array(
                                'default'   => '',
                            ),
                        ),
                        'ovez_social_dribbble' => array(
                            'type'          => 'text',
                            'label'         => esc_html__('Social Dribbble', 'ovez'),
                            'priority'      => 11,
                            'params'        => array(
                                'default'   => '',
                            ),
                        ),
                        'ovez_social_linkedin' => array(
                            'type'          => 'text',
                            'label'         => esc_html__('Social Linkedin', 'ovez'),
                            'priority'      => 11,
                            'params'        => array(
                                'default'   => '',
                            ),
                        ),
                        'ovez_social_rss' => array(
                            'type'          => 'text',
                            'label'         => esc_html__('Social Rss', 'ovez'),
                            'priority'      => 11,
                            'params'        => array(
                                'default'   => '',
                            ),
                        ),
                    )
                ),

                //6.Font  ==============================================================================================
                'ovez_new_section_font_size' => array(
                    'title' => esc_html__('Font', 'ovez'),
                    'description' => 'Font Option',
                    'priority' => 5,
                    'settings' => array(

                        'ovez_body_font_google' => array(
                            'type'          => 'select',
                            'label'         => esc_html__('Use Google Font', 'ovez'),
                            'choices'       => ovez_googlefont(),
                            'priority'      => 1,
                            'params'        => array(
                                'default'       => 'Poppins',
                            ),
                        ),

                        'ovez_body_font_size' => array(
                            'type'          => 'number',
                            'label'         => esc_html__('Body Font Size', 'ovez'),
                            'description'   => '',
                            'priority'      => 2,
                            'params'        => array(
                                'default'       => '',
                            ),
                        ),
                        'ovez_menu_font_size' => array(
                            'type'          => 'number',
                            'label'         => esc_html__('Menu Font Size', 'ovez'),
                            'description'   => '',
                            'priority'      =>3,
                            'params'        => array(
                                'default'    => '',
                            ),
                        ),
                    ),
                ),

                //7.Categories Blog ====================================================================================
                'ovez_blog' => array(
                    'title' => esc_html__('Blogs Categories', 'ovez'),
                    'description' => '',
                    'panel'        =>'blog_panel',
                    'priority' => 6,
                    'settings' => array(

                        'ovez_sidebar_cat' => array(
                            'class'         => 'layout',
                            'label'         => esc_html__('Sidebar Layout', 'ovez'),
                            'priority'      =>3,
                            'choices'       => array(
                                'left'         => get_template_directory_uri().'/assets/images/left.png',
                                'right'        => get_template_directory_uri().'/assets/images/right.png',
                                'full'         => get_template_directory_uri().'/assets/images/full.png',
                            ),
                            'params' => array(
                                'default' => 'right',
                            ),
                        ),
                        'ovez_siderbar_cat_info' => array(
                            'class' => 'info',
                            'label' => esc_html__('Info', 'ovez'),
                            'description' => esc_html__( 'Please goto Appearance > Widgets > drop drag widget to the sidebar Article.', 'ovez' ),
                            'priority' => 4,
                        ),

                        //layout content
                        'ovez_cat_content_heading' => array(
                            'class' => 'heading',
                            'label' => esc_html__('Content', 'ovez'),
                            'priority' =>19,
                        ),
                        'ovez_post_title_heading' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Category Title','ovez'),
                            'priority' => 20,
                            'params' => array(
                                'default' => true,
                            ),
                        ),
                        'ovez_cat_content_layout' => array(
                            'class'         => 'layout',
                            'priority'      =>21,
                            'choices'       => array(
                                'grid'         => get_template_directory_uri().'/assets/images/box-grid.jpg',
                                'list'         => get_template_directory_uri().'/assets/images/box-list.jpg',
                                'tran'         => get_template_directory_uri().'/assets/images/box-tran.jpg',
                            ),
                            'params' => array(
                                'default' => 'grid',
                            ),
                        ),
                        'ovez_cat_content_col' => array(
                            'class' => 'slider',
                            'label' => esc_html__('Number post on row ', 'ovez'),
                            'description' => '',
                            'priority' =>22,
                            'choices' => array(
                                'max' => 3,
                                'min' => 1,
                                'step' => 1
                            ),
                            'params'      => array(
                                'default' => 3
                            ),
                        ),
                        'ovez_post_meta_author' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Author','ovez'),
                            'priority' => 24,
                            'params' => array(
                                'default' => false,
                            ),

                        ),
                        'ovez_post_meta_date' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Date','ovez'),
                            'priority' => 24,
                            'params' => array(
                                'default' =>true,
                            ),

                        ),
                        'ovez_post_meta_view' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('View','ovez'),
                            'priority' => 25,
                            'params' => array(
                                'default' => false,
                            ),
                            
                        ),
                        'ovez_post_meta_comment' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Comments','ovez'),
                            'priority' => 26,
                            'params' => array(
                                'default' => false,
                            ),
                            
                        ),
                    ),
                 ),

                //8.Single blog ========================================================================================
                'ovez_blog_single' => array(
                    'title' => esc_html__('Blog Single', 'ovez'),
                    'description' => '',
                    'panel'        =>'blog_panel',
                    'priority' => 7,
                    'settings' => array(
                        'ovez_sidebar_single' => array(
                            'class'         => 'layout',
                            'label'         => esc_html__('Sidebar Layout', 'ovez'),
                            'priority'      =>13,
                            'choices'       => array(
                                'left'         => get_template_directory_uri().'/assets/images/left.png',
                                'right'        => get_template_directory_uri().'/assets/images/right.png',
                                'full'         => get_template_directory_uri().'/assets/images/full.png',
                            ),
                            'params' => array(
                                'default' => 'right',
                            ),
                        ),
                        'ovez_siderbar_single_info' => array(
                            'class' => 'info',
                            'label' => esc_html__('Info', 'ovez'),
                            'description' => esc_html__( 'Please goto Appearance > Widgets > drop drag widget to the sidebar Article.', 'ovez' ),
                            'priority' => 14,
                        ),
                        'ovez_single_related' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Related Posts', 'ovez'),
                            'priority' =>14,
                            'params' => array(
                                'default' => true,
                            ),
                        ),
                        //share
                        'ovez_single_share' => array(
                            'class' => 'heading',
                            'label' => esc_html__('Share', 'ovez'),
                            'priority' =>15,
                        ),
                        'ovez_share_facebook' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Share Facebook  ','ovez'),
                            'priority' => 17,
                            'params' => array(
                                'default' =>false,
                            ),
                            
                        ),
                        'ovez_share_twitter' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Share Twitter  ','ovez'),
                            'priority' => 18,
                            'params' => array(
                                'default' => false,
                            ),
                            
                        ),
                        'ovez_share_google' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Share Google  ','ovez'),
                            'priority' => 19,
                            'params' => array(
                                'default' => false,
                            ),
                            
                        ),

                        'ovez_share_linkedin' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Share Linkedin  ','ovez'),
                            'priority' => 20,
                            'params' => array(
                                'default' => false,
                            ),
                            
                        ),

                        'ovez_share_pinterest' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Share Pinterest  ','ovez'),
                            'priority' => 21,
                            'params' => array(
                                'default' => false,
                            ),
                            
                        ),
                        //comments
                        'ovez_single_comments' => array(
                            'class' => 'heading',
                            'label' => esc_html__('Comments', 'ovez'),
                            'priority' =>22,
                        ),
                        'ovez_comments_single_facebook' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Enable Facebook Comments ','ovez'),
                            'priority' => 23,
                            'params' => array(
                                'default' => false,
                            ),
                            
                        ),
                        'ovez_comments_single' => array(
                            'type'          => 'text',
                            'label'         => esc_html__('Your app id :', 'ovez'),
                            'priority'      => 24,
                            'params'        => array(
                                'default'   => '',
                            ),
                            
                        ),
                        'ovez_comments_single_info' => array(
                            'class' => 'info',
                            'label' => esc_html__('Info', 'ovez'),
                            'description' => esc_html__('If you want show notification on  your facebook , please input app id ...', 'ovez' ),
                            'priority' => 25,
                        ),
                    ),
                ),

                //9.WooCommerces  Category =============================================================================
                'woocommerce_product_catalog' => array(
                    'title' => esc_html__('Product Catalog', 'ovez'),
                    'description' => '',
                    'panel' =>'woocommerce',
                    'priority' => 10,
                    'settings' => array(
                        //siderbar
                        'ovez_subcate_woo' => array(
                            'class'=> 'layout',
                            'label' => esc_html__('Category Layout:', 'ovez'),
                            'priority' =>98,
                            'choices' => array(
                                'cat-1'         => get_template_directory_uri().'/assets/images/cat-1.jpg',
                                'cat-2'         => get_template_directory_uri().'/assets/images/cat-2.jpg',
                                'cat-3'         => get_template_directory_uri().'/assets/images/cat-3.jpg',
                            ),
                            'params' => array(
                                'default' => 'cat-2',
                            ),
                        ),
                        'ovez_subcate_info' => array(
                            'class' => 'info',
                            'label' => esc_html__('Info', 'ovez'),
                            'description' => esc_html__( 'Choose what to display Category layout  on the main shop page.', 'ovez' ),
                            'priority' => 99,
                        ),
                        'ovez_show_page_title' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Title Page Shop', 'ovez'),
                            'priority' =>100,
                            'params' => array(
                                'default' => true,
                            ),

                        ),
                        'ovez_show_page_top' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Top Shop', 'ovez'),
                            'priority' =>100,
                            'params' => array(
                                'default' => true,
                            ),

                        ),
                        'ovez_show_page_layout' => array(
                            'type' => 'select',
                            'label' => esc_html__('Layout Shop', 'ovez'),
                            'description' => '',
                            'priority' => 100,
                            'choices' => array(
                                'container'         => esc_html__('Container', 'ovez'),
                                'container-fluid'   => esc_html__('Container Fluid', 'ovez'),
                                'container-full'    => esc_html__('Container Full Width', 'ovez'),
                            ),
                            'params' => array(
                                'default' => 'container',
                            ),

                        ),

                        //category
                        'ovez_header_woocat' => array(
                            'class' => 'heading',
                            'label' => esc_html__('Categories Product', 'ovez'),
                            'priority' =>100,
                        ),
                        //Filter
                        'ovez_filter_woo' => array(
                            'class'=> 'layout',
                            'label' => esc_html__('Filter Layout', 'ovez'),
                            'priority' =>101,
                            'choices' => array(
                                'left'                  => get_template_directory_uri().'/assets/images/shop/filter-left.jpg',
                                'full'                  => get_template_directory_uri().'/assets/images/shop/filter-full.jpg',
                                'down'                  => get_template_directory_uri().'/assets/images/shop/filter-down.jpg',
                                'sidebar-left'          => get_template_directory_uri().'/assets/images/left.png',
                            ),
                            'params' => array(
                                'default' => 'left',
                            ),
                        ),
                        'ovez_siderbar_info' => array(
                            'class' => 'info',
                            'label' => esc_html__('Info', 'ovez'),
                            'description' => esc_html__( 'Please goto Appearance > Widgets > drop drag widget to the sidebar SHOP.', 'ovez' ),
                            'priority' => 102,
                        ),
                        'ovez_woo_layered_nav' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Enable Layered Nav Filters', 'ovez'),
                            'priority' =>103,
                            'params' => array(
                                'default' => false,
                            ),

                        ),


                        'ovez_custom_nav_check' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Use Customize List Category', 'ovez'),
                            'priority' =>110,
                            'params' => array(
                                'default' => false,
                            ),
                        ),
                        'ovez_custom_info' => array(
                            'class' => 'info',
                            'label' => esc_html__('Info', 'ovez'),
                            'description' => esc_html__( 'You can input html for the list categories or MENU  goto > Menu > tick to  Shop Navigation .', 'ovez' ),
                            'priority' => 111,
                        ),
                        'ovez_custom_nav' => array(
                            'type' => 'textarea',
                            'label' => esc_html__('Customize List Category', 'ovez'),
                            'description' => '',
                            'priority' => 111,
                        ),
                    ),
                ),

                //10.WooCommerces Product Layouts'  =====================================================================
                'ovez_woo_product' => array(
                    'title' => esc_html__('Product Layouts', 'ovez'),
                    'description' => '',
                    'panel' =>'woocommerce',
                    'priority' => 9,
                    'settings' => array(
                        //siderbar
                        'ovez_layout_product' => array(
                            'class'=> 'layout',
                            'label' => esc_html__('Layouts', 'ovez'),
                            'priority' =>1,
                            'choices' => array(
                                'grid'         => get_template_directory_uri().'/assets/images/box-grid.jpg',
                                'list'         => get_template_directory_uri().'/assets/images/box-list.jpg',
                                'trans'        => get_template_directory_uri().'/assets/images/box-tran.jpg',
                                'gallery'      => get_template_directory_uri().'/assets/images/box-gallery.jpg',
                                'scattered'    => get_template_directory_uri().'/assets/images/box-scattered.jpg',
                            ),
                            'params' => array(
                                'default' => 'grid',
                            ),
                        ),
                        'ovez_woo_product_padding' => array(
                            'type'          => 'checkbox',
                            'label'         => esc_html__('Disable padding', 'ovez'),
                            'priority'      => 2,
                            'params'        => array(
                                'default'   => false,
                            ),

                        ),
                        'ovez_woo_product_sale_flash' => array(
                            'type'          => 'checkbox',
                            'label'         => esc_html__('Show Discount', 'ovez'),
                            'priority'      => 3,
                            'params'        => array(
                                'default'   => false,
                            ),

                        ),

                        'ovez_woo_cart' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Show button Add To Cart','ovez'),
                            'priority' => 4,
                            'params' => array(
                                'default' => false,
                            ),

                        ),
                        'ovez_woo_price' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Show Price','ovez'),
                            'priority' => 5,
                            'params' => array(
                                'default' => true,
                            ),

                        ),
                        'ovez_woo_product_per_row' => array(
                            'class' => 'slider',
                            'label' => esc_html__('Products per row', 'ovez'),
                            'description' => '',
                            'priority' =>108,
                            'choices' => array(
                                'max' => 6,
                                'min' => 1,
                                'step' => 1
                            ),
                            'params'      => array(
                                'default' => 4
                            ),
                        ),
                        'ovez_woo_product_per_page' => array(
                            'class' => 'slider',
                            'label' => esc_html__('Number products per page', 'ovez'),
                            'description' => '',
                            'priority' =>109,
                            'choices' => array(
                                'max' => 36,
                                'min' => 9,
                                'step' => 1
                            ),
                            'params'      => array(
                                'default' => 24
                            ),
                        ),
                        'ovez_woo_pagination' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Enable Load More', 'ovez'),
                            'priority' =>110,
                            'params' => array(
                                'default' => false,
                            ),

                        ),

                        'ovez_woo_share_twitter' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Twitter','ovez'),
                            'priority' => 27,
                            'params' => array(
                                'default' => false,
                            ),

                        ),
                        'ovez_woo_share_pinterest' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Pinterest','ovez'),
                            'priority' => 28,
                            'params' => array(
                                'default' => false,
                            ),

                        ),
                        'ovez_woo_share_google' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Google +','ovez'),
                            'priority' => 29,
                            'params' => array(
                                'default' => false,
                            ),

                        ),
                        'ovez_woo_share_linkedin' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('linkedin','ovez'),
                            'priority' => 30,
                            'params' => array(
                                'default' => false,
                            ),

                        ),

                    ),
                ),
                //11.WooCommerces Detail  ==============================================================================
                'ovez_woo_detail' => array(
                    'title' => esc_html__('Product Detail', 'ovez'),
                    'description' => '',
                    'panel' =>'woocommerce',
                    'priority' => 10,
                    'settings' => array(
                        //siderbar
                        'ovez_sidebar_woo_single' => array(
                            'class'=> 'layout',
                            'label' => esc_html__('Sidebar', 'ovez'),
                            'priority' =>2,
                            'choices' => array(
                                'left'         => get_template_directory_uri().'/assets/images/left.png',
                                'full'         => get_template_directory_uri().'/assets/images/full.png',
                                'right'         => get_template_directory_uri().'/assets/images/right.png',
                            ),
                            'params' => array(
                                'default' => 'full',
                            ),
                        ),
                        'ovez_woo_related_products' => array(
                            'type'          => 'checkbox',
                            'label'         => esc_html__('Display Related Products', 'ovez'),
                            'priority'      => 3,
                            'params'        => array(
                                'default'   => true,
                            ),

                        ),
                        'ovez_woo_number_related_products' => array(
                            'type' => 'select',
                            'label' => esc_html__('Number Products Show', 'ovez'),
                            'description' => '',
                            'priority' => 4,
                            'choices' => array(
                                '2' => '2',
                                '3' => '3',
                                '4' => '4',
                                '5' => '5'
                            ),
                            'params' => array(
                                'default' => '4',
                            ),

                        ),

                        //Detail layouts
                        'ovez_detail_layouts_heading' => array(
                            'class' => 'heading',
                            'label' => esc_html__('Detail Layouts', 'ovez'),
                            'priority' =>10,
                        ),
                        'ovez_detail_layouts' => array(
                            'class'=> 'layout',
                            'label' => esc_html__('Layouts', 'ovez'),
                            'priority' =>11,
                            'choices' => array(
                                'vertical'              => get_template_directory_uri().'/assets/images/shop/detail-vertical.jpg',
                                'horizontal'            => get_template_directory_uri().'/assets/images/shop/detail-horizontal.jpg',
                                'grid'                  => get_template_directory_uri().'/assets/images/shop/detail-grid.jpg',
                                'carousel'              => get_template_directory_uri().'/assets/images/shop/detail-carousel.jpg',
                                'carousel-left'        => get_template_directory_uri().'/assets/images/shop/detail-carousel-left.jpg',
                            ),
                            'params' => array(
                                'default' => 'vertical',
                            ),
                        ),
                        'ovez_detail_bg_entry' => array(
                            'label'         => esc_html__('Background - Entry Summary', 'ovez'),
                            'description'   => '',
                            'class'         => 'color',
                            'priority'      => 12,
                            'params'        => array(
                                'default'   => '',
                            ),
                        ),
                        'ovez_detail_bg_entry_info' => array(
                            'class' => 'info',
                            'label' => esc_html__('Info', 'ovez'),
                            'description' => esc_html__( 'Background Entry Summary only run when using Carousel Left (last layout)', 'ovez' ),
                            'priority' => 13,
                        ),

                            //Share products
                        'ovez_cat_content_heading' => array(
                            'class' => 'heading',
                            'label' => esc_html__('Share', 'ovez'),
                            'priority' =>25,
                        ),
                        'ovez_woo_share_facebook' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Facebook','ovez'),
                            'priority' => 26,
                            'params' => array(
                                'default' => false,
                            ),

                        ),
                        'ovez_woo_share_twitter' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Twitter','ovez'),
                            'priority' => 27,
                            'params' => array(
                                'default' => false,
                            ),

                        ),
                        'ovez_woo_share_pinterest' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Pinterest','ovez'),
                            'priority' => 28,
                            'params' => array(
                                'default' => false,
                            ),

                        ),
                        'ovez_woo_share_google' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Google +','ovez'),
                            'priority' => 29,
                            'params' => array(
                                'default' => false,
                            ),

                        ),
                        'ovez_woo_share_linkedin' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('linkedin','ovez'),
                            'priority' => 30,
                            'params' => array(
                                'default' => false,
                            ),

                        ),

                    ),
                ),
            );

        }

        public function ovez_customizer_script()
        {
            // Register
            wp_enqueue_style('ovez-customize', get_template_directory_uri() . '/inc/customize/assets/css/customizer.css', array(),null);
            wp_enqueue_style('jquery-ui', get_template_directory_uri() . '/inc/customize/assets/css/jquery-ui.min.css', array(),null);
            wp_enqueue_script('ovez-customize', get_template_directory_uri() . '/inc/customize/assets/js/customizer.js', array('jquery'), null, true);
        }

        public function add_customize($customizers) {
            $this->customizers = array_merge($this->customizers, $customizers);
        }

        public function ovez_register_theme_customizer()
        {
            global $wp_customize;

            foreach ($this->customizers as $section => $section_params) {

                //add section
                $wp_customize->add_section($section, $section_params);
                if (isset($section_params['settings']) && count($section_params['settings']) > 0) {
                    foreach ($section_params['settings'] as $setting => $params) {

                        //add setting
                        $setting_params = array();
                        if (isset($params['params'])) {
                            $setting_params = $params['params'];
                            unset($params['params']);
                        }
                        $wp_customize->add_setting($setting, array_merge( array( 'sanitize_callback' => null ), $setting_params));
                        //Get class control
                        $class = 'WP_Customize_Control';
                        if (isset($params['class']) && !empty($params['class'])) {
                            $class = 'WP_Customize_' . ucfirst($params['class']) . '_Control';
                            unset($params['class']);
                        }

                        //add params section and settings
                        $params['section'] = $section;
                        $params['settings'] = $setting;

                        //add controll
                        $wp_customize->add_control(
                            new $class($wp_customize, $setting, $params)
                        );
                    }
                }
            }

            foreach($this->panels as $key => $panel){
                $wp_customize->add_panel($key, $panel);
            }

            return;
        }

        public function remove_default_customize_section()
        {
            global $wp_customize;
//            // Remove Sections
//            $wp_customize->remove_section('title_tagline');
            $wp_customize->remove_control('woocommerce_catalog_columns');
            $wp_customize->remove_section('header_image');
            $wp_customize->remove_section('nav');
            $wp_customize->remove_section('static_front_page');
            $wp_customize->remove_section('colors');
            $wp_customize->remove_section('background_image');
        }
    }
}