<?php

// Function For Nano Theme
add_action( 'admin_init', 'na_sample_data_script');
if(!function_exists('na_sample_data_script')){
	function na_sample_data_script(){
		wp_enqueue_script('na-sample-data-script', NANO_PLUGIN_URL. 'assets/js/dev/data-sample.js',array('jquery'), NANO_VERSION, true);
		$translation_array = array(
			'home_url' => esc_url( home_url( '/' ) ),
			'ajax_url' => wp_nonce_url(admin_url('admin-ajax.php')),
			'admin_theme_url' => wp_nonce_url(admin_url('themes.php')),
            'import_nonce'    => wp_create_nonce( 'wc-product-import' ),
            'mapping'         => array(
                'from' => array('ID','Type','SKU','Name','Published','Is+featured?','Visibility+in+catalog','Short+description','Description','Date+sale+price+starts','Date+sale+price+ends','Tax+status','Tax+class','In+stock?','Stock','Low+stock+amount','Backorders+allowed?','Sold+individually?','Weight+(g)','Length+(in)','Width+(in)','Height+(in)','Allow+customer+reviews?','Purchase+note','Sale+price','Regular+price','Categories','Tags','Shipping+class','Images','Download+limit','Download+expiry+days','Parent','Grouped+products','Upsells','Cross-sells','External+URL','Button+text','Position','Attribute+1+name','Attribute+1+value(s)','Attribute+1+visible','Attribute+1+global','Attribute+2+name','Attribute+2+value(s)','Attribute+2+visible','Attribute+2+global','Meta:+post_views_count','Meta:+_shop_swatches','Meta:+_shop_swatches_attribute','Meta:+name_att_product','Meta:+slide_template','Attribute+3+name','Attribute+3+value(s)','Attribute+3+visible','Attribute+3+global','Meta:+na_image_product','Meta:+size_guide_product','Meta:+image_att_product','Meta:+icon_att_product','Meta:+_wp_old_date'),
                'to'   =>  array('id','type','sku','name','published','featured','catalog_visibility','short_description','description','date_on_sale_from','date_on_sale_to','tax_status','tax_class','stock_status','stock_quantity','low_stock_amount','backorders','sold_individually','','','','','reviews_allowed','purchase_note','sale_price','regular_price','category_ids','tag_ids','shipping_class_id','images','download_limit','download_expiry','parent_id','grouped_products','upsell_ids','cross_sell_ids','product_url','button_text','menu_order','attributes:name1','attributes:value1','attributes:visible1','attributes:taxonomy1','attributes:name2','attributes:value2','attributes:visible2','attributes:taxonomy2','meta:post_views_count','meta:_shop_swatches','meta:_shop_swatches_attribute','meta:name_att_product','meta:slide_template','attributes:name3','attributes:value3','attributes:visible3','attributes:taxonomy3','meta:na_image_product','meta:size_guide_product','meta:image_att_product','meta:icon_att_product','meta:_wp_old_date'),
            ),
            'update_existing' => '',
            'delimiter'       =>',',
            'data_url'          => NANO_PLUGIN_PATH.'inc/importer/data/woo.csv'
		);
		wp_localize_script( 'na-sample-data-script', 'NaScript', $translation_array );


	}
}


//Import sample xml ====================================================================================================
add_action( 'wp_ajax_import_data', 'nano_import_data' );
add_action('wp_ajax_nopriv_import_data', 'nano_import_data');
function nano_import_data(){
	if ( !defined('WP_LOAD_IMPORTERS') ) define('WP_LOAD_IMPORTERS', true);
	require_once ABSPATH . 'wp-admin/includes/import.php';
	$importer_error = false;
	if ( !class_exists( 'WP_Importer' ) ) {
		$class_wp_importer = ABSPATH . 'wp-admin/includes/class-wp-importer.php';
		if ( file_exists( $class_wp_importer ) ){
			require_once($class_wp_importer);
		}
		else{
			$importer_error = true;
		}
	}

	if ( !class_exists( 'WP_Import' ) ) {
		require_once(ABSPATH . 'wp-admin/includes/media.php');
		require_once(ABSPATH . 'wp-admin/includes/file.php');
		require_once(ABSPATH . 'wp-admin/includes/image.php');
		require_once(ABSPATH . 'wp-admin/includes/menu.php');
		$class_wp_import = NANO_PLUGIN_PATH . 'inc/importer/wordpress-importer-new/wordpress-importer.php';
		if ( file_exists( $class_wp_import ) ){
			require_once($class_wp_import);
		}
		else{
			$importer_error = true;
		}
	}
	if($importer_error){
		die("Import error! Please unninstall WP importer plugin and try again");
	}
	else{
		$wp_import = new WP_Import();
		$wp_import->fetch_attachments = true;
		$filexml = NANO_PLUGIN_PATH . 'inc/importer/data/data.xml';
		ob_start();
		$wp_import->import( $filexml);
		ob_end_clean();
	}
	die;
}

//Import Woo xml ====================================================================================================
add_action( 'wp_ajax_import_woo', 'nano_import_woo' );
add_action('wp_ajax_nopriv_import_woo', 'nano_import_woo');
function nano_import_woo(){
    if ( !defined('WP_LOAD_IMPORTERS') ) define('WP_LOAD_IMPORTERS', true);
    require_once ABSPATH . 'wp-admin/includes/import.php';
    $importer_error = false;
    if ( !class_exists( 'WP_Importer' ) ) {
        $class_wp_importer = ABSPATH . 'wp-admin/includes/class-wp-importer.php';
        if ( file_exists( $class_wp_importer ) ){
            require_once($class_wp_importer);
        }
        else{
            $importer_error = true;
        }
    }

    if ( !class_exists( 'WP_Import' ) ) {
        require_once(ABSPATH . 'wp-admin/includes/media.php');
        require_once(ABSPATH . 'wp-admin/includes/file.php');
        require_once(ABSPATH . 'wp-admin/includes/image.php');
        require_once(ABSPATH . 'wp-admin/includes/menu.php');
        $class_wp_import = NANO_PLUGIN_PATH . 'inc/importer/wordpress-importer-new/wordpress-importer.php';
        if ( file_exists( $class_wp_import ) ){
            require_once($class_wp_import);
        }
        else{
            $importer_error = true;
        }
    }
    if($importer_error){
        die("Import error! Please unninstall WP importer plugin and try again");
    }
    else{
        $wp_import = new WP_Import();
        $wp_import->fetch_attachments = true;
        $filexml = NANO_PLUGIN_PATH . 'inc/importer/data/woo.xml';
        ob_start();
        $wp_import->import( $filexml);
        ob_end_clean();
    }
    die;
}

//Import widget ========================================================================================================
add_action('wp_ajax_import_widget', 'nano_import_widget');
add_action('wp_ajax_nopriv_import_widget', 'nano_import_widget');
function nano_import_widget(){
    if(!class_exists('Widget_Importer_Exporter')){
        include NANO_PLUGIN_PATH . '/inc/importer/widget-importer-exporter/includes/widgets.php';
        include NANO_PLUGIN_PATH . '/inc/importer/widget-importer-exporter/includes/import.php';
    }
    $file = NANO_PLUGIN_PATH . 'inc/importer/data/widgets.wie';
    $data = json_decode(file_get_contents( $file ));
    wie_import_data( $data );
    die;
}

//Import customize ========================================================================================================
add_action('wp_ajax_import_customize', 'nano_import_customize');
add_action('wp_ajax_nopriv_import_customize', 'nano_import_customize');
function nano_import_customize(){
    include NANO_PLUGIN_URL . 'inc/importer/customizer-export-import/classes/class-cei-option.php';
    $customize_importer = new CEI_Core();
    $customize_importer->_do_import();
    die;
}

//Slider ===============================================================================================================
add_action('wp_ajax_import_slider', 'nano_import_slider');
add_action('wp_ajax_nopriv_import_slider', 'nano_import_slider');
function nano_import_slider(){
	if( class_exists('RevSlider') ) {
		$slider_array = array(
            NANO_PLUGIN_PATH."inc/importer/data/slider/slider1.zip",
            NANO_PLUGIN_PATH."inc/importer/data/slider/slider2.zip",
            NANO_PLUGIN_PATH."inc/importer/data/slider/slider-plants.zip",
            NANO_PLUGIN_PATH."inc/importer/data/slider/slider-showcase.zip"
        );
		$slider = new RevSlider();
		foreach($slider_array as $filepath){
			$slider->importSliderFromPost(true,true,$filepath);
		}
	}
	return false;
}

//Active Home ==========================================================================================================
add_action('wp_ajax_active_home', 'nano_active_home');
add_action('wp_ajax_nopriv_active_home', 'nano_active_home');
function nano_active_home(){
	$key=$_POST['active_home'];
	$home = get_page_by_path($key);
	update_option('page_on_front',$home->ID);
	update_option('show_on_front','page');
	return false;
}
//Active Home ==========================================================================================================
add_action('wp_ajax_deactivate_home', 'nano_deactivate_home');
add_action('wp_ajax_nopriv_deactivate_home', 'nano_deactivate_home');
function nano_deactivate_home(){
	// The post id.
	update_option( 'show_on_front', 'posts' );
	update_option( 'page_on_front', 0 );
	return false;
}
?>