<?php

/* ================================================================================== */
/*      Products Shortcode
/* ================================================================================== */
if (!function_exists('na_shortcode_products')) {
    function na_shortcode_products($atts, $content) {
        $atts = shortcode_atts(array(
            'box_title'             => 'Block Products',
            'post_type' 			=> 'product',
            'column' 				=> '4',
            'number'		        => 8,
            'meta_query'            => '',
            'tax_query'             => array(),
            'list_type'             => 'latest',
            'products_types'		=> 'grid',
            'box_layouts'		    => 'grid',
            'ignore_sticky_posts'	=> 1,
            'show'					=> '',
            'style'                 =>'default',
            'category'              =>'',
            'padding_bottom_module' => '0px',
        ), $atts);

        ob_start();
        nano_template_part('shortcode', 'products' , array('atts' => $atts));?>
        <?php
        $output = ob_get_contents();
        ob_end_clean();
        return $output;
    }
}

add_shortcode('na_products', 'na_shortcode_products');

add_action('vc_before_init', 'na_products_integrate_vc');

if (!function_exists('na_products_integrate_vc')) {
    function na_products_integrate_vc()
    {
        vc_map(
            array(
                'name' => esc_html__('NA: Products', 'nano'),
                'base' => 'na_products',
                'icon' => 'icon-products',
                'category' => esc_html__('NA', 'nano'),
                'description' => esc_html__('Show Block products .', 'nano'),
                'params' => array(
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Title', 'nano'),
                        'value' => 'Block Products',
                        'param_name' => 'box_title',
                    ),
                    array(
                        'type' => 'dropdown',
                        'heading' => esc_html__('Show product type', 'nano'),
                        'param_name' => 'list_type',
                        'value' => array(
                            esc_html__('Latest Products', 'nano') => 'latest',
                            esc_html__('Featured Products', 'nano') => 'featured',
                            esc_html__('Best Selling Products', 'nano') => 'best-selling',
                            esc_html__('TopRated Products', 'nano') => 'toprate',
                            esc_html__('Special Products', 'nano') => 'onsale'
                        ),
                        'std' => 'latest',
                    ),
                    array(
                        'type' => 'nano_product_categories',
                        'heading' => esc_html__( 'Category','nano' ),
                        'param_name' => 'category',
                        'description' => esc_html__( 'Product category list','nano'),
                    ),
                    array(
                        'type' => 'dropdown',
                        'heading' => __('Block layout', 'nano'),
                        'value' => array(
                            esc_html__('Grid', 'nano') => 'grid',
                            esc_html__('Carousel', 'nano') => 'carousel',
//                            esc_html__('Masonry', 'nano') => 'masonry',
                        ),
                        'std' => 'grid',
                        'param_name' => 'box_layouts',
                    ),
                    array(
                        'type' => 'nano_image_radio',
                        'heading' => esc_html__('Layout Product', 'nano'),
                        'value' => array(
                            esc_html__(NANO_PLUGIN_URL.'assets/images/box-tran.jpg', 'nano')        => 'trans',
                            esc_html__(NANO_PLUGIN_URL.'assets/images/box-grid.jpg', 'nano')        => 'grid',
                            esc_html__(NANO_PLUGIN_URL.'assets/images/box-gallery.jpg', 'nano')     => 'gallery',
                        ),
                        'width' => '100px',
                        'height' => '70px',
                        'param_name' => 'products_types',
                        'std' => 'grid',
                        'description' => esc_html__('Select layout type', 'nano'),
                    ),
                    array(
                        'type' => 'dropdown',
                        'heading' => __('Products per row', 'nano'),
                        'value' => array(
                            esc_html__('2', 'nano') => '2',
                            esc_html__('3', 'nano') => '3',
                            esc_html__('4', 'nano') => '4',
                            esc_html__('5', 'nano') => '5',
                            esc_html__('6', 'nano') => '6'
                        ),
                        'std' => '4',
                        'param_name' => 'column',
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Number of Products show on the block', 'nano'),
                        'value' => 8,
                        'param_name' => 'number',
                    ),
                )
            )
        );
    }
}