<?php
if (!function_exists('na_shortcode_slider')) {
    function na_shortcode_slider($atts,$output)
    {
        $atts = shortcode_atts(

            array(
                'slider_layout' => 'article-carousel',
                'css'           => '',
                'items'         => '',
            ), $atts);

        ob_start();
            nano_template_part('shortcode', 'slider' , array('atts' => $atts));?>
            <?php
            $output = ob_get_contents();
        ob_end_clean();

        return $output;
    }
}

add_shortcode('na_slider', 'na_shortcode_slider');

add_action('vc_before_init', 'na_slider_integrate_vc');

if (!function_exists('na_slider_integrate_vc')) {
    function na_slider_integrate_vc()
    {
        vc_map(
            array(
                'name' => esc_html__('NA: Slider Showcase', 'nano'),
                'base' => 'na_slider',
                'icon' => 'icon-wpb-slideshow',
                'category' => esc_html__('NA', 'nano'),
                'description' => esc_html__('Show Block Slider Showcase', 'nano'),
                'params' => array(
                    array(
                        'type' => 'param_group',
                        'heading' => esc_html__(' Block Slider Settings', 'nano' ),
                        'param_name' => 'items',
                        'params' => array(
                            array(
                                "type" => "attach_image",
                                "description" => esc_html__("upload an image.", 'nano'),
                                "param_name" => "image_box",
                                "value" => '',
                                'heading'	=> esc_html__('Image', 'nano' ),

                            ),
                            array(
                                "type" => "textfield",
                                "class" => "",
                                "heading" => esc_html__('Title','nano'),
                                "param_name" => "title_box",
                                'admin_label' => true,
                            ),
                            array(
                                "type" => "textfield",
                                "class" => "",
                                "heading" => esc_html__('Sub Title','nano'),
                                "param_name" => "sub_box",
                                'admin_label' => true,
                            ),
                            array(
                                "type" => "textarea",
                                "class" => "",
                                "heading" => esc_html__('Description','nano'),
                                "param_name" => "content_box",
                            ),
                            array(
                                "type" => "textfield",
                                "heading" => esc_html__("Link Url", 'nano'),
                                "param_name" => "link_box",
                                "value" => '#',
                            ),

                        ),
                    ),
                    array(
                        'type' => 'dropdown',
                        'heading' => esc_html__('Slider Layouts', 'nano'),
                        'param_name' => 'slider_layout',
                        'value' => array(
                            esc_html__('Center Mode', 'nano') => 'article-carousel-center',
                            esc_html__('Slides Show', 'nano') => 'article-carousel',
                        ),
                        'std' => 'article-carousel',
                    ),
                    array(
                        'type' => 'css_editor',
                        'heading' => __( 'Css', 'nano' ),
                        'param_name' => 'css',
                        'group' => __( 'Design options', 'nano' ),
                    ),
                )
            )
        );
    }
}